package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Checkbox;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.utilerias.BigDecimalUtil;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;
import com.rjconsultores.ventaboletos.vo.comissao.EventosFinanceirosVO;

public class RenderEventosFinanceiros implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		EventosFinanceirosVO eventosFinanceiros = (EventosFinanceirosVO) o;
		eventosFinanceiros.setConferido(eventosFinanceiros.getLogconferenciaId() != null);
		
		Listcell lc = new Listcell();
        if(eventosFinanceiros.isExigeConferencia()) {
        	Checkbox chk = new Checkbox();
			chk.setId(eventosFinanceiros.getEventoextraId()+"");
			chk.setChecked(eventosFinanceiros.isConferido());
			chk.setParent(lc);
        }
        lc.setParent(lstm);
		
		lc = new Listcell(eventosFinanceiros.getNumdocumento());
        lc.setParent(lstm);
        
        lc = new Listcell(eventosFinanceiros.getDesctipoevento());
        lc.setParent(lstm);
        
        lc = new Listcell(eventosFinanceiros.getDescinfo());
        lc.setParent(lstm);
        
        lc = new Listcell(BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(eventosFinanceiros.getImpingreso(), LocaleUtil.getLocale()));
        lc.setParent(lstm);

        lc = new Listcell(eventosFinanceiros.isCredito() ? Labels.getLabel("conferenciaController.lbCredito.value") : Labels.getLabel("conferenciaController.lbDebito.value"));
        lc.setParent(lstm);
        
        lc = new Listcell(eventosFinanceiros.getStatusDescricao());
        lc.setParent(lstm);
        
        lc = new Listcell(eventosFinanceiros.getDescpago());
        lc.setParent(lstm);

        lc = new Listcell(eventosFinanceiros.getNombusuario());
        lc.setParent(lstm);

        lstm.setAttribute("data", eventosFinanceiros);
		
	}

}
